Subject: Re: bug#29198: Cursor fringe arrow indicator not updating.

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 08 Nov 2017 20:26:16 -0800

This feature was broken on February 23, 2017 with:

dee8674414fae2323fd9cbf05aa762e72fa575e5

I manually reversed the optimization that was applied with the above-mentioned patch, and built a new Emacs 26 downloaded today and am able to verify that this corrects the problem.  I.e., manually reversing *a575e5 as applied to xdisp.c makes everything work properly.

I used the lo-tech approach of trying out various builds until I found the date where the feature stopped working properly.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATE:  [11-07-2017 19:39:14] <08 Nov 2017 05:39:14 +0200>
FROM:  Eli Zaretskii <[email-masked]>
> 
> * * *
> 
> The other features which display the fringe arrow work correctly, so
> evidently there is a way of moving it from Lisp.